Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1804976 - [4.4.] Should alert users to pipeline build strategy deprecation when using oc command to create pipeline build
Summary: [4.4.] Should alert users to pipeline build strategy deprecation when using o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1801064
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-20 01:54 UTC by Adam Kaplan
Modified: 2020-05-04 11:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
The JenkinsPipeline build strategy is deprecated as of 4.3.0. Use Jenkinsfiles directly on Jenkins or OpenShift Pipelines instead.
Clone Of: 1801064
Environment:
Last Closed: 2020-05-04 11:38:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 309 0 None closed Bug 1804976: Add newline for pipeline deprecate info 2020-08-10 08:00:33 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:38:30 UTC

Comment 3 wewang 2020-02-21 07:41:21 UTC
Verified in oc version
4.4.0-202002202301

--> Creating resources ...
    buildconfig.build.openshift.io "sample-pipeline" created
    service "nodejs-mongodb-example" created
    route.route.openshift.io "nodejs-mongodb-example" created
    imagestream.image.openshift.io "nodejs-mongodb-example" created
    buildconfig.build.openshift.io "nodejs-mongodb-example" created
    deploymentconfig.apps.openshift.io "nodejs-mongodb-example" created
    service "mongodb" created
    deploymentconfig.apps.openshift.io "mongodb" created
--> Success
JenkinsPipeline build strategy is deprecated. Use Jenkinsfiles directly on Jenkins or OpenShift Pipelines instead
    Use 'oc start-build sample-pipeline' to start a build.
    Access your application via route 'nodejs-mongodb-example-wewang.apps.wewang-43bug.qe.devcluster.openshift.com' 
    Use 'oc start-build nodejs-mongodb-example' to start a build.
    Run 'oc status' to view your app.

Comment 5 errata-xmlrpc 2020-05-04 11:38:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.